Page MenuHomePhabricator

Enabling Structured Discussion on Odia Wiktionary (or.wiktionary.org)
Closed, DeclinedPublic

Description

Please enable Structured Discussion (Flow) on Odia Wikisource Village Pump

Here is the link to the discussion.

Link to Village Pump

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 6 2018, 6:04 PM
Mainframe98 updated the task description. (Show Details)Oct 6 2018, 6:31 PM
Restricted Application added a project: User-Zoranzoki21. · View Herald TranscriptOct 6 2018, 6:54 PM

I'm not sure if it's a good idea to enable Flow on other wikis, as it's not possible to uninstall this extension (T186463: Uninstall Flow from Commons).

@Framawiki Thank You for your suggestion.
Is there any negative point of this extension so that it has to be deleted/disabled/uninstalled from a wiki? I am curious to know.

Why a wiki needs to uninstall it? @Liuxinyu970226

better to ask your question to Nemo_bis (no benefit to ping here) instead of me

I'm not sure if it's a good idea to enable Flow on other wikis, as it's not possible to uninstall this extension (T186463: Uninstall Flow from Commons).

Why is that a problem? The comment lacks an argument why you would want to completely uninstall (delete) the extension code on a wiki which would mean you'd be unable to access Flow pages. Instead you could leave it installed and just agree to not use Flow pages anymore if you don't want to use Flow anymore.

Same question from me too. If the community agrees and they are using it then no issue at all. Please go on with enabling it.

Trizek-WMF moved this task from Inbox to Needs Discussion/Analysis on the Growth-Team board.EditedOct 8 2018, 4:34 PM
Trizek-WMF added a subscriber: Trizek-WMF.

Any community can decide to install or use Structured Discussions if they've reached a consensus, @Framawiki. The removal from Commons hasn't changed that.

While it is the case there, we can move on.

Wow, a lot of comments on this ticket :)

Hello @Aklapper thank you for your answer. Not being able to revert properly the addition of a feature bothers me greatly. Did that mean that these wikis would have to have flow installed for life?

Hello @Trizek-WMF Any developer can decline changes requested by wikis. Obtaining a community consensus does not make it possible to make all the changes desired by the communities. If an employee is going to take care of this ticket, it would be nice if he also looks at T188806: create a Flow uninstall script so that that entire problem can be properly solved.

Hello @Jnanaranjan_sahu Anybody can send a patch on gerrit that edit the wiki config then purpose it in a swat. It will also mean that this person will have to take responsibility for the changes they implement. Responsibility that I will not risk as mentioned above. Fell free to do so, but don't force me to do so if I have any reservations, and as far as possible don't push that in production before questions raised on this ticket are answered.

@Framawiki: I don't see (yet) why a theoretical "not being able to revert properly the addition of a feature" should make a developer spend time on fixing that as long as no real problems in daily workflows are brought up...

@Framawiki I am not forcing anyone this is just a proposal. I can create a patch request myself but I am proposing to know the positives and negatives. I respect your views too. My point is why a community who wants to use flow will ask to disable. I want to know the issue. I hope if there will a time come when it needs to be uninstalled then there will be a fix for that too.

Hello @Aklapper. Thanks for your answer. I just don't like the idea of installing a feature that can't be deleted properly. If I may say so, I don't understand why it wasn't in the checklist before flow was even put into production!

Hello @Jnanaranjan_sahu. About My point is why a community who wants to use flow will ask to disable, feel free to consult enwiki and commonswiki concerns.

I think a good compromise could explicitly indicate to the community requesting this tool that its deactivation is currently impossible, despite all the problems it raises (distorts contribution statistics, makes it impossible for most community tools to access its data, does not update the templates that are included in posts... as explained in above links). If a wikis wishes to use this tool, I think it should be well informed of the resulting consequences.

@Jnanaranjan_sahu Even if I don't think any comments will be posted, would it be possible, as a matter of form, to at least post a note on the page where the consensus took place about the above issues? We can then wait a few days before continuing. Thanks!

Thank You for sharing this idea. I will be posting this message to the community.

@Framawiki, if "any developer can decline changes requested by wikis" that should be with a good reason. Commons' concerns are good to know, but they don't shape what other communities should do. Odia Wikipedia is already testing Structured discussions. I'm sure Odia Wiktionary people know the advantages and the inconvenient of StructuredDiscussions. :)

I think you should create a Mediawiki page listing all disadvantages you mention, so that communities would be honestly informed about the limitations before making the request. However, that page must also list the advantages shared by several wikis (quoting from memory of discussions I've read: simplified discussion workflows, an interface more familiar to newcomers and mobile-friendly, better notification system, wikitext and visual editing provided...) to allow a fair choice.

@Trizek-WMF do I need to take any action?

@Trizek-WMF do I need to take any action?

Be sure your community has every information they need to take a well informed decision.

@Jnanaranjan_sahu is there any update on your end from this? If you're ready for us to move ahead with enabling structured discussions please let us know.

To be honest. There is no active member on that project. Only people checking the page but rarely someone edits there. Odia Wikpedia Community can be considered on this case and they are okay with enabling it. We had a discussion on Odia Wiki and people are agree with it. As I have initiated this on Odia WIkipedia I thought I should also ask for other two projects of Odia Language. It is okay if you enable if there is no problem installing. Or we can close this task as not required now which can be reopened later.

@Jnanaranjan_sahu OK, we will enable Structured Discussions for Odia Wiktionary soon.

Can we do this way. -> Enable structured discussion. Not activate in any page. Give admin the power to implement on some pages.

If you have not activated. Please stop the process for now. Until there is more discussion. Please don't activate it now.

Jnanaranjan_sahu changed the task status from Open to Stalled.Nov 5 2018, 6:45 PM
Jnanaranjan_sahu triaged this task as Lowest priority.
kostajh moved this task from Upcoming Work to Revisit on the Growth-Team board.Nov 5 2018, 8:05 PM
JTannerWMF moved this task from Revisit to Blocked on the Growth-Team board.Nov 5 2018, 9:33 PM

If you have not activated. Please stop the process for now. Until there is more discussion. Please don't activate it now.

It is stopped.

I would like to know, do you want this enabled or no? Which is status of this request?

Zoranzoki21 closed this task as Declined.Dec 18 2018, 10:26 PM

No

Ok, if is so, I closing this task as declined.

Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptDec 18 2018, 10:26 PM